﻿using System;
using System.Windows;
using System.Windows.Threading;

namespace Ukazka3
{
    public static class ExtensionMethods
    {
        private static Action EmptyDelegate = delegate () { };


        /// <summary>
        /// Přezobrazení vybrané položky
        /// </summary>
        /// <param name="uiElement"></param>
        public static void Refresh(this UIElement uiElement)
        {
            uiElement.Dispatcher.Invoke(DispatcherPriority.Render, EmptyDelegate);
        }
    }
}
